%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-temp
Version:    0.7.0
Release:    1%{?dist}
Summary:    Temporary files and directories for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/bruce/node-temp
Source0:    http://registry.npmjs.org/temp/-/temp-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(rimraf)
%endif

%description
This Node.js module handles generating a unique file/directory name under the
appropriate system temporary directory, changing the file to an appropriate
mode, and supports automatic removal.

It has a similar API to the fs module.


%prep
%setup -q -n package
%nodejs_fixdep rimraf '~2.2'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/temp
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/temp

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/temp-test.js
%endif


%files
%doc LICENSE README.md examples/
%{nodejs_sitelib}/temp


%changelog
* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.7.0-1
- update to upstream release 0.7.0

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.0-1
- update to upstream release 0.6.0
- apply patch to use native os.tmpDir instead of npm(osenv)

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.0-3
- update to upstream release 0.5.1
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.5.0-2
- rebuild for missing npm(temp) provides on EL6

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.0-1
- initial package
